---
title: update-edge-config-schema
product: vercel
url: /docs/rest-api/edge-config/update-edge-config-schema
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about update-edge-config-schema on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Update Edge Config schema

```http
POST /v1/edge-config/{edgeConfigId}/schema
```

Update an Edge Config's schema.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `dryRun` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Request body

Required: Yes

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "definition"
  ],
  "properties": {
    "definition": {}
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "The JSON schema uploaded by the user",
  "nullable": true
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 402: The account was soft-blocked for an unhandled reason.
The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 404: No description

### 409: No description

---

## Related

- [edge-config endpoints](/docs/rest-api#edge-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
